Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Deny a Document

Request

Denies a document specified by the currentStepId. Allows you to add a comment in the request body.

Security
basic or X-PriceFx-jwt
Path
currentStepIdstringrequired

The ID of the workflow step. It can be retrieved using the /workflowsmanager.fetch/active (List Pending Approvals) endpoint.

Example: 2d721e9d-ac6d-4eda-bd6c-60424f4fdaef
Bodyapplication/json
dataobjectrequired
data.​actionCommentstringnon-emptyrequired
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.deny/2d721e9d-ac6d-4eda-bd6c-60424f4fdaef \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "actionComment": "Not approved - the margin is too low."
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
No response example

Withdraw a Document

Request

Withdraws the document from the approval workflow (specified by the currentStepId).

Security
basic or X-PriceFx-jwt
Path
currentStepIdstringrequired

The ID of the workflow step. It can be retrieved using the /workflowsmanager.fetch/active (List Pending Approvals) endpoint.

Example: 2d721e9d-ac6d-4eda-bd6c-60424f4fdaef
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.withdraw/2d721e9d-ac6d-4eda-bd6c-60424f4fdaef

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": [], "status": 0 } }

Add an Approver Step

Request

Adds an approver step to the workflow (specified by the currentStepId).

Security
basic or X-PriceFx-jwt
Path
currentStepIdstringrequired

The ID of the workflow step. It can be retrieved using the /workflowsmanager.fetch/active (List Pending Approvals) endpoint.

Example: 2d721e9d-ac6d-4eda-bd6c-60424f4fdaef
Bodyapplication/json
dataobjectrequired
data.​addStepCurrentStepIdstringnon-emptyrequired
data.​addStepStepInstanceobjectrequired
data.​addStepStepInstance.​uniqueNamestringnon-emptyrequired
data.​addStepStepInstance.​reasonstringnon-emptyrequired
data.​addStepStepInstance.​userLoginNameany
data.​addStepStepInstance.​userGroupNameany
data.​addStepStepInstance.​emailAttachmentboolean
data.​addStepStepInstance.​propertiesobject
data.​addStepStepInstance.​userLoginNamesArray of anyrequired

userLoginNames or userGroupNames must be provided.

data.​addStepStepInstance.​userGroupNamesArray of objectsrequired

userLoginNames or userGroupNames must be provided.

data.​addStepStepInstance.​minApprovalsNeedednumber
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.addapprover/2d721e9d-ac6d-4eda-bd6c-60424f4fdaef \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "addStepCurrentStepId": "448a0229-0488-4f3a-a13d-481936ad01dd",
      "addStepStepInstance": {
        "uniqueName": "Additional check",
        "reason": "Check this",
        "userLoginName": null,
        "userGroupName": null,
        "emailAttachment": false,
        "properties": {},
        "userLoginNames": [
          "JohnDoe"
        ],
        "userGroupNames": [],
        "minApprovalsNeeded": 1
      }
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": [], "status": 0 } }

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas